# Update product order in category

Using this endpoint you can update product priority within a category.

You can request multiple updates at once; the maximum is 300 updates per
request.

Each item must identify the product by either productGuid or productCode
(exactly one must be provided per item).

In case of a partial failure, the response code will be 200 OK and the
errorneous items will be

listed in the errors array. In case of a complete failure, response
code will be 400 BAD REQUEST.

Minimum priority is 0, maximum priority is 65535.

Endpoint: PATCH /api/categories/{categoryGuid}/productsPriority
Version: abaae1c
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `categoryGuid` (string, required)
    Product category.
    Example: "5c498fb7-70ac-11e9-9208-08002774f818"

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (array, required)

  - `data.productGuid` (string)
    GUID of the product

  - `data.productCode` (string)
    Code of the product

  - `data.priority` (integer,null)
    Priority of the product

## Response 200 fields (application/json):

  - `data` (object,null, required)

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 400 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)


